Subject: Which branch(es) contain certain commits? (was Re: (unknown))

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Aug 2015 10:03:41 -0700

Ivan Chernyavsky <[email-masked]> writes:

> For some time I'm wondering why there's no "--grep" option to the "git
> branch" command, which would request to print only branches having
> specified string/regexp in their history.
>
> So for example:
>
>     $ git branch -r --grep=BUG12345
>
> should be roughly equivalent to following expression I'm using now for the same task:
>
>     $ for r in `git rev-list --grep=BUG12345 --remotes=origin`; do git
> branch -r --list --contains=$r 'origin/*'; done | sort -u
>
> Am I missing something, is there some smarter/simpler way to do this?

I think people do things like:

    git log --all --decorate --grep=...